#Module-Specific definitions
%define mod_version 0.2b
%define mod_name mod_activex_filter
%define mod_conf A17_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename mod_activex_%{mod_version}
%define apache_version 2.0.54

# Standard Module Definitions
%define name apache-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Apache module that filter ActiveX on a proxy
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		System/Servers
License:	Apache License
URL:		http://brice.free.fr
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache >= %{apache_version}
Requires:	apache-conf >= 2.0.54
Requires:	apache >= %{apache_version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	file
Requires:	apache-mod_proxy
Provides:	apache2-mod_activex_filter
Obsoletes:	apache2-mod_activex_filter
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
It's only a simple hack of mod_case_filter to get a way to filter
ActiveX on a proxy. Actualy, the only way to filter ActiveX if
your proxy is unable to do it is to use a TIS module chained with
your proxy. But the TIS is only capable of doing HTTP/1.0. If you
need real performances, you'll want to use HTTP/1.1.

%prep

%setup -q -n mod_activex_0.2

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
mv activex_filter/mod_activex_filter.c .
%{_sbindir}/apxs -c mod_activex_filter.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.2b-2mdk
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com>  2.0.54_0.2b-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.2b-5mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.2b-4mdk
- fix %%post and %%postun to prevent double restarts

* Fri Feb 25 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_0.2b-3mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.2b-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.2b-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.2b-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.2b-1mdk
- built for apache 2.0.51

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.2b-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.2b-1mdk
- built for apache 2.0.49

* Mon Mar 29 2004 Michael Scherer <misc@mandrake.org> 2.0.48_0.2b-2mdk
- enhance Summary
 
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.2b-1mdk
- built for apache 2.0.48
- fix invalid-spec-name

* Sun Sep 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.2b-2mdk
- drop the mod_php conflict, it's php-snmp that segfaults...

* Sun Sep 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.2b-1mdk
- initial cooker contrib
